### Combinatorics, Week 5 <br /> February 22, 2017

---

For this meeting, we will work together some counting problems involving non-intersecting arcs.

I have prepared some hand notes on various approaches to counting non-intersecting arcs:

* [Week-4-Combinatorics](Week-4-Combinatorics.pdf)
* [Week-5-Combinatorics](Week-5-Combinatorics.pdf)

The second set of notes concerns counting "diagonal dissections" of an n-gon:
How many ways can we cut an n-gon into k+1 regions?

---

One can look up dissections in [The On-Line Encyclopedia of Integer Sequences](https://oeis.org/):

![Dissections](A033282.jpg)  

* [a033282: The number of diagonal dissections of a convex n-gon into k+1 regions](https://oeis.org/search?q=A033282&language=english&go=Search)

In particular, I learned from this entry about a new book of interest to us.
Section 5.8 (pp115-122) of this book considers dissections of an n-gon:

* [2015 Petersen - Eulerian numbers](http://link.springer.com/book/10.1007/978-1-4939-3091-3)

The author easily obtains our counts by an advanced use of generating functions.
Perhaps we'll be able to understand this calculation later in the semester.

These numbers have an interpretation as the face counts of a polytope:

* [Associahedron](https://en.wikipedia.org/wiki/Associahedron)
