#!/bin/bash

# cd to parent directory of this script
bin=$( dirname "$0" )
cd "$bin/.."

# insert tag text
insert () {
   perl -p -e "s|<-$1->|$2|"
}

# output title
output () {
  markdown | cat head - foot | insert title "$1"
}

output1 () {
  markdown | cat head1 - foot | insert title "$1"
}

# prepare calendar table
calendar=$(bin/calendar.py Bayer/calendar.txt)

# calendar
cat Bayer/calendar.md |\
   insert calendar "${calendar}" |\
   output1 "$(cat title) (Calendar)" > ../Bayer/calendar.php

# index
cat index.md |\
   output "$(cat title)" > ../index.php

# source
cat source.md |\
   output "$(cat title) (Page Sources)" > ../source.php

# links
cat links.md |\
   output "$(cat title) (Links)" > ../links.php

# Bayer/index
cat Bayer/index.md |\
	insert calendar "${calendar}" |\
	output1 "$(cat title)" > ../Bayer/index.php

# Bayer/week*
for file in Bayer/week*.md
do
	cat "$file" |\
		output1 "$(cat title)" > ../${file/.md/.php}
done

# create tarball, update math.columbia.edu, and open page
cd ..
math-tarball.sh
math-update.rb
math-open.sh ''
